# eric4.E4XML.TemplatesHandler

Module implementing the handler class for reading an XML templates file.

### Global Attributes

None

### Classes

TemplatesHandler | Class implementing a sax handler to read an XML templates file.

### Functions

None

## TemplatesHandler

Class implementing a sax handler to read an XML templates file.

### Derived from

XMLHandlerBase

### Class Attributes

None

### Class Methods

None

### Methods

TemplatesHandler | Constructor
endTemplate | Handler method for the "Template" end tag.
endTemplateDescription | Handler method for the "TemplateDescription" end tag.
endTemplateText | Handler method for the "TemplateText" end tag.
getVersion | Public method to retrieve the version of the templates.
startDocumentTemplates | Handler called, when the document parsing is started.
startTemplate | Handler method for the "Template" start tag.
startTemplateGroup | Handler method for the "TemplateGroup" start tag.
startTemplates | Handler method for the "Templates" start tag.

### Static Methods

None

#### TemplatesHandler (Constructor)

TemplatesHandler(templateViewer=None)

Constructor

templateViewer
  reference to the template viewer object

#### TemplatesHandler.endTemplate

endTemplate()

Handler method for the "Template" end tag.

#### TemplatesHandler.endTemplateDescription

endTemplateDescription()

Handler method for the "TemplateDescription" end tag.

#### TemplatesHandler.endTemplateText

endTemplateText()

Handler method for the "TemplateText" end tag.

#### TemplatesHandler.getVersion

getVersion()

Public method to retrieve the version of the templates.

Returns:
  String containing the version number.

#### TemplatesHandler.startDocumentTemplates

startDocumentTemplates()

Handler called, when the document parsing is started.

#### TemplatesHandler.startTemplate

startTemplate(attrs)

Handler method for the "Template" start tag.

attrs
  list of tag attributes

#### TemplatesHandler.startTemplateGroup

startTemplateGroup(attrs)

Handler method for the "TemplateGroup" start tag.

attrs
  list of tag attributes

#### TemplatesHandler.startTemplates

startTemplates(attrs)

Handler method for the "Templates" start tag.

attrs
  list of tag attributes

Up